Delphi-PRAXiS
Seite 1 von 2  1 2   

Delphi-PRAXiS (https://www.delphipraxis.net/forum.php)
-   Programmieren allgemein (https://www.delphipraxis.net/40-programmieren-allgemein/)
-   -   iOS Eine App nur für iPhone 5 oder höher (https://www.delphipraxis.net/185262-eine-app-nur-fuer-iphone-5-oder-hoeher.html)

RWarnecke 26. Mai 2015 17:51

Eine App nur für iPhone 5 oder höher
 
Hallo zusammen,

ich habe eine Verständnisfrage. Wenn ich ein Xcode-Project nur für armv7s und arm64 kompiliere und über iTunesConnect in den AppStore stelle, dann funktioniert das Projekt doch nur auf einem iPhone 5 oder höher, richtig ? Wenn ja, wird die App dann im AppStore auch für ein iPhone 4 oder iPhone 4s angezeigt ? Ich bin der Meinung nicht.

mensch72 26. Mai 2015 21:31

AW: Eine App nur für iPhone 5 oder höher
 
hängt das nicht am (min) IOS und/oder an der 64Bit AppStoreRule?

habe gerade mit aktuellem XCode 6.3.1 mal zum Test ein Projekt für ab IOS 6.1 erstellt und das per IPod4-Touch mit glaube ich IOS 6.1.3 getestet... lief und würde sich so so glaube ich auch im APP Store publizieren lassen... ABER wenn der Store jetzt 64Bit Zwang hat, müsste man prüfen, ob XCode 6.3 automatisch eine 64Bit Variante mit als Kompbipaket veröffentlicht.

Ich habe es für ein ganz altes IPod4 IOS6.x jetzt nur fix im DeveloperMode per USB Download geprüft. IPhone4 kann/hat ja sogar schon IOS7.x ... es "müsste" aber noch gehen, wenn man die 64Bit (Kombi)Regel für aktuelle NeuApps im AppStore meistert.
(und ab IPhone5 geht ja IOS8.x)

RWarnecke 26. Mai 2015 22:06

AW: Eine App nur für iPhone 5 oder höher
 
Hä, ich verstehe nur Bahnhof. Das iOS kann ich nicht nehmen, da iOS 8 auch noch auf dem iPhone 4s funktioniert. Das heißt also, wenn ich bei Deployment Target 8.0 eintrage, wird es immer noch auf einem iPhone 4s funktionieren.

Ich brauche aber eine Möglichkeit, die mir erlaubt das die App nur auf dem iPhone 5 oder höher ausgeführt werden kann.

Aber je mehr ich darüber nachdenke, drängt sich mir die Frage auf, ob die App den AppStore überhaupt passieren würde.

mensch72 27. Mai 2015 02:43

AW: Eine App nur für iPhone 5 oder höher
 
Da IPhone<5 ja noch das alte Displayformat haben, gibt es ganz sicher einen "Trick" eine App so zu konfigurieren, das diese zwingend das neue Retinaformat ab IPhone5 braucht.

Da Unterscheidung per IOS Version nicht tauglich, könnte die APP auch selbst ganz direkt das Displayformat prüfen und wenn kleiner IPhone5 mit altem Format dann höflich aber bestimmt nur anzeigen, das diese APP nur zur Verwendung mit IPhone5 oder neuer vorgesehen ist.

Mavarik 27. Mai 2015 09:14

AW: Eine App nur für iPhone 5 oder höher
 
Zitat:

Zitat von RWarnecke (Beitrag 1303130)
Ich brauche aber eine Möglichkeit, die mir erlaubt das die App nur auf dem iPhone 5 oder höher ausgeführt werden kann.

Woher kommt die Einschränkung?

RWarnecke 27. Mai 2015 09:17

AW: Eine App nur für iPhone 5 oder höher
 
Zitat:

Zitat von Mavarik (Beitrag 1303160)
Woher kommt die Einschränkung?

Zum einem, weil ich Funktionen für die Apple Watch mit einbauen will und zum anderen das Layout der App. Ich bekomme auf dem kleinen Bildschirm eines 4s nicht alles unter und mit einem ScrollView wird es zu unübersichtlich.

Mavarik 27. Mai 2015 09:32

AW: Eine App nur für iPhone 5 oder höher
 
Zitat:

Zitat von RWarnecke (Beitrag 1303161)
Zitat:

Zitat von Mavarik (Beitrag 1303160)
Woher kommt die Einschränkung?

Zum einem, weil ich Funktionen für die Apple Watch mit einbauen will und zum anderen das Layout der App. Ich bekomme auf dem kleinen Bildschirm eines 4s nicht alles unter und mit einem ScrollView wird es zu unübersichtlich.

Nahezu jede App scrollt und auf den kleinen Telefonen haben sich die Leute daran gewöhnt... Darauf würde ich nicht einen Gedanken verschwenden!

CCRDude 27. Mai 2015 11:57

AW: Eine App nur für iPhone 5 oder höher
 
Also ist die Einschränkung gar nicht iPhone 5, sondern Apple Watch.

Andere Frage also: was macht denn der AppStore mit einer App, die das Watch-Framework benutzt?

himitsu 27. Mai 2015 12:05

AW: Eine App nur für iPhone 5 oder höher
 
iPhone alt (iWatch nicht möglich)
iPhone 5 ohne iWatch
iPhone 5 mit registrierter iWatch, die sich aber nicht in Reichweite findet
iPhone 5 mit kaputter iWatch :stupid:
iPhone 5 mit iWatch

Ist das nicht eher etwas, was man zur Laufzeit prüfen sollte?

RWarnecke 27. Mai 2015 12:54

AW: Eine App nur für iPhone 5 oder höher
 
Ok, Problem hat sich erledigt. Wenn ich einfach eine entsprechende iOS Version angebe, kann die App aus dem AppStore nicht mehr runtergelassen werden, wenn diese kleiner ist als die angegebene Version. Das reicht mir auf jedenfall.


Alle Zeitangaben in WEZ +1. Es ist jetzt 00:43 Uhr.
Seite 1 von 2  1 2   

Powered by vBulletin® Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2019 by Daniel R. Wolf